/* main.css */
@import url('https://fonts.googleapis.com/css?family=Raleway');

:root {
    --soraBlue:#5EAED3;
    --soraGray :#919195;
    --transparent:rgba(0,0,0,0.5);
    --trophyGold:#ffd608;
    --lightGray:#ccc;
    --successGreen:#28a745;
    --failureRed:#ff0000;
    --warningYellow:rgb(255,238,119);
    --crownBronze:#CD7F32;
    --lightenedBlue:#d6eaf4;
}

body {
    margin:0;
    font-family: 'Raleway', serif;
}

#mainHeader {
    background-color:#000;
    padding:6px 0;
    margin-bottom:15px;
}

#mainHeader div a img {
    height:100px;
    width:auto;
}

#mainHeader div {
    display:flex;
    align-items:baseline;
    justify-content:space-between;
    width:75vw;
    margin:0 auto;
    color:#fff;
}

#mainHeader div nav a {
    color:#fff;
    text-decoration:none;
    margin-left:20px;
}

main {
    width:75vw;
    margin:0 auto;
    padding-bottom:20px;
}

@keyframes spin {
    0% {
        transform:rotate(0deg);
    }
    100% {
        transform:rotate(360deg);
    }
}

#loadingOverlay {
    position:fixed;
    left:50%;
    top:50%;
    width:100px;
    height:100px;
    background-color:rgba(0,0,0,0.75);
    border-radius:5px;
    justify-content:center;
    align-items:center;
    display:none;
}

#spinner {
    display:block;
    width:50px;
    height:50px;
    border:5px solid #fff;
    border-right-color:var(--soraBlue);
    border-radius:50%;
    animation:spin 2s linear infinite;
}

input, select {
    padding:3px 6px;
    border:1px solid #000;
    border-radius:5px;
}

table {
    width:100%;
    border:1px solid #000;
    border-collapse:collapse;
}

table th, td {
    padding:6px 12px;
    text-align:left;
}

table thead th {
    border:1px solid #000;
    background-color:#999;
}

table tbody td, table tbody th {
    border:1px solid #000;
}

table tbody tr:nth-of-type(even) {
    background-color:#ccc;
}

table tfoot th, table tfoot td {
    border:1px solid #000;
    font-weight:bold;
}

button {
    background-color:var(--soraBlue);
    padding:6px 12px;
    color:#fff;
    border-radius:5px;
    font-size:1em;
    cursor:pointer;
}